YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class JSONParseError

Package | com.adobe.serialization.json
Class | public class JSONParseError
Inheritance | JSONParseError Error

Public Properties

| Property | Defined by
--- | --- | ---
|  | location : int [read-only] Provides read-only access to the location variable. | JSONParseError
|  | text : String [read-only] Provides read-only access to the text variable. | JSONParseError

Public Methods

| Method | Defined by
--- | --- | ---
|  | JSONParseError(message:String = "", location:int = 0, text:String = "") Constructs a new JSONParseError. | JSONParseError

Property detail

location | property

`location:int` [read-only]

Provides read-only access to the location variable.

Implementation
`public function get location():int`

text | property |

`text:String` [read-only]

Provides read-only access to the text variable.

Implementation
`public function get text():String`
Constructor detail

JSONParseError | () | constructor

`public function JSONParseError(message:String = "", location:int = 0, text:String = "")`

Constructs a new JSONParseError.

Parameters

| `message:String` (default = "``")`` — The error message that occured during parsing
| `location:int` (default = `0`)``
| `text:String` (default = "``")``